| ISF 1.1 Intelligent Sensing Framework

- Main Page
- Data Structures
- Files
- Sensor Adapters

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines
Functions | Variables
User/Source/isf_init.c File Reference

The isf_init.c file contains implementation of the ISF library initialization functions. More...

`#include "isf_user_config.h"`
`#include "isf_init.h"`
`#include <mqx.h>`
`#include <lwevent.h>`

Go to the source code of this file.

## Functions
isf_status_t | isf_lib_init (void *pOptions)
| Please see isf_init.h for complete documentation.
void | isf_init_task (uint32 initial_data)
| Please see isf_init.h for complete documentation.
void | isf_system_sync (void)
| This function synchronizes the user tasks and the system initialization.
## Variables
LWEVENT_STRUCT | isfSysEventHandler
| Definition of the event handle to the system ready event.

## Detailed Description

The isf_init.c file contains implementation of the ISF library initialization functions.

Copyright:
  Copyright (c) 2012, Freescale Semiconductor, Inc.

Definition in file isf_init.c.

## Function Documentation

void isf_init_task | ( | uint32 | initial_data | ) |

Please see isf_init.h for complete documentation.

This function initializes the ISF components for operation.

Definition at line 60 of file isf_init.c.

References isf_lib_init().

isf_status_t isf_lib_init | ( | void * | pOptions | ) |

Please see isf_init.h for complete documentation.

This function initializes the ISF library.

API ISF library get information.

Definition at line 18 of file isf_init.c.

References bm_init(), ci_init(), ISF_ERR_LIB_INIT, ISF_SUCCESS, ISF_SYSTEM_READY_EVENT, isfSysEventHandler, and pm_init().

Referenced by isf_init_task().

void isf_system_sync | ( | void |  | ) |

This function synchronizes the user tasks and the system initialization.

Purpose:
  This function blocks the user tasks from executing until ISF initialization is completed.

Returns:
  This function does not return any values.

Constraints:

Reentrant: No

Link Libraries:
  isf_core.lib

Definition at line 74 of file isf_init.c.

References FALSE, ISF_SYSTEM_READY_EVENT, and isfSysEventHandler.

## Variable Documentation

LWEVENT_STRUCT isfSysEventHandler

Definition of the event handle to the system ready event.

Definition at line 15 of file isf_init.c.

Referenced by isf_lib_init(), and isf_system_sync().